/*
Theme Name: COLEwebdev Child Theme
Theme URI: https://www.colewebdev.com
Description: COLEwebdev Child Theme
Author: COLEwebdev
Author URI: https://www.colewebdev.com
Template: Divi
Version: 1.0
*/

/* Start your custom CSS below this comment
============================================ */

/* Hide Avatar from Custom Login Pages */
.et_pb_text_inner .avatar {
    display: none;
}

/* Hide Featured Image on Video Posts */
.single .et_post_meta_wrapper img {
    display: none;
}

/* Contact Message Styling */
.et-pb-contact-message {
    color: green;
    font-size: 20px;
}

/* Style PDF Embed */
.pdfemb-viewer .pdfemb-toolbar div {
    color: #fff !important;
}

.pdfemb-viewer .pdfemb-toolbar {
    background-color: #707070 !important;
}

/* Style Activation Page */
.page-id-10 div#content {
    max-width: 500px;
    margin: 5% auto;
}

/* Forgot Password Link Styling */
.et_pb_forgot_password a {
    color: #fff !important;
}

/* Login Field Borders */
input#user_pass_lergin,
input#user_login_lergin {
    border-width: 1px;
}

/* Hide Secondary Menu */
#top-header {
    display: none;
}

/* Gravity Form Button Styling */
.gform_wrapper .gform_footer input.button {
    color: #fff;
    background-image: linear-gradient(90deg, #0046ba 0%, #1c3775 100%);
    font-family: Roboto;
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 5px;
    border: none;
    border-radius: 5px;
    padding: 1em 2em;
}

/* Reports Blue More Link Styling */
#reportsblue .more-link {
    display: block;
    margin: 1em 0;
    color: #fff !important;
    font-family: 'Roboto', Helvetica, Arial, Lucida, sans-serif !important;
    font-size: 14px;
    font-weight: 700 !important;
    letter-spacing: 5px;
    text-align: center;
    text-transform: uppercase !important;
    background-image: linear-gradient(90deg, #0d398a 0%, #0045b7 100%);
    border: 0 !important;
    border-radius: 4px;
    padding: 0.5em;
}

/* Fix Mobile Menu Drop Down Item Alignment */
#mobile_menu1 li {
    display: block;
}

/* Pulse Shimmer On Agent AP Button */
@keyframes shimmer {
    0% { left: -100%; }
    40% { left: 100%; }
    100% { left: 100%; }
}

.pulse-shimmer {
    position: relative;
    overflow: hidden;
}

.pulse-shimmer::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(
        90deg,
        rgba(255, 255, 255, 0) 0%,
        rgba(255, 255, 255, 0.15) 40%,
        rgba(255, 255, 255, 1) 50%,
        rgba(255, 255, 255, 0.15) 60%,
        rgba(255, 255, 255, 0) 100%
    );
    animation: shimmer 5s ease-in-out infinite;
    pointer-events: none;
    z-index: 1;
    display: block !important;
    opacity: 1 !important;
    visibility: visible !important;
    mix-blend-mode: overlay;
}